Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-mail-imapclient: upgrade to 3.39

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sat, 4 Feb 2017 12:50:47 +0200

--
recreated with new apkbuild-cpan template
move *.pod to -doc subpackage
---
 main/perl-mail-imapclient/APKBUILD | 33 ++++++++++++++++++++++-----------
 1 file changed, 22 insertions(+), 11 deletions(-)
diff --git a/main/perl-mail-imapclient/APKBUILD b/main/perl-mail-imapclient/APKBUILD
index c1c98a17fe..55f48e2345 100644
--- a/main/perl-mail-imapclient/APKBUILD
+++ b/main/perl-mail-imapclient/APKBUILD
_at_@ -3,7 +3,7 @@
 # Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
 pkgname=perl-mail-imapclient
 _pkgreal=Mail-IMAPClient
-pkgver=3.38
+pkgver=3.39
 pkgrel=0
 pkgdesc="IMAP4 client library"
 url="http://search.cpan.org/dist/Mail-IMAPClient/"
_at_@ -15,27 +15,38 @@ depends="$cpandepends"
 makedepends="perl-dev $cpanmakedepends"
 subpackages="$pkgname-doc"
 source="http://search.cpan.org/CPAN/authors/id/P/PL/PLOBBES/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 prepare() {
-	cd "$_builddir"
-	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	default_prepare || return 1
+
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
 }
 
 build() {
-	cd "$_builddir"
-	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	cd "$builddir"
+	export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
 	make && make test
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
 }
 
-md5sums="81890b7764ebfae96cf66262c6aea9af  Mail-IMAPClient-3.38.tar.gz"
-sha256sums="d0f346d111dba93548ceac1192a993210ffcd5f81f83638ee277607bfacc1a4d  Mail-IMAPClient-3.38.tar.gz"
-sha512sums="aa2d4ae43ac221db5b99d20884d34ce41fabdc593cee48e7daf7d7048dd351026231f9a4193044f42eb17c8d303b5af0b924bea17fed27c4d0934ca2935b73f3  Mail-IMAPClient-3.38.tar.gz"
+doc() {
+	default_doc || return 1
+
+	cd "$pkgdir"
+	local file; for file in $(find ./ -name "*.pod"); do
+		mkdir -p "$subpkgdir"/${file%/*}
+		mv $file "$subpkgdir"/$file || return 1
+	done
+}
+
+md5sums="b813cfd79a7cab4e886d9caa94991502  Mail-IMAPClient-3.39.tar.gz"
+sha256sums="b541fdb47d5bca93048bcee69f42ad2cc96af635557ba6a9db1d8f049a434ea3  Mail-IMAPClient-3.39.tar.gz"
+sha512sums="156e5f6682d55f2c112ae5065448f0c502d3e748c4405768152ccccd7d944cf949f7c3fd42f30f40c86337457dea5c037959bf29739e4c413e4b45af2b74c222  Mail-IMAPClient-3.39.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Feb 04 2017 - 12:50:47 GMT